<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3" 
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>
	
	<xsl:output method="text" encoding="UTF-8" indent="no"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="op:headTitle">
		<xsl:choose>
			<xsl:when test="not(sp:rTitle)">
				<xsl:apply-templates select="sp:sTitle"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="sp:rTitle"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="sp:sTitle">
		{<xsl:apply-templates select="text()"/>}
	</xsl:template>
	
	<xsl:template match="sp:rTitle">
		{<xsl:value-of select="getContent(gotoSubModel(),'')"/>}
	</xsl:template>
	
	<xsl:template match="*"/>
	
</xsl:stylesheet>