
export async function configWspMeta(wspMeta, wspResUrl, UTILS){

				const currentModelName = "Extension AMC pour Opale 3.9";
let DIR = {}, m;
		DIR.fN8 =
{code:"grpRoot",label:"Support",sortKey:"010sup",}
		DIR.fN2f =
{code:"grpAmc",label:"AMC",sortKey:"017amc",}
			m = 
{
wspResUrl,
model:"op_amcRoot",
title:"Publication de test AMC",
					
family:"xml",
iconsPng:":wspRes:models/op_amcRoot/ico/",
sgn:"@op_amcRoot#Xml#Map",
schema:":wspRes:models/op_amcRoot/schema.rng",
editors:{edClassic:{mainWed:"opale",},},
					
itemNameTpl:"AMC_{optionalCounter}",
					
					
					
					isolatedView:{tag:"wsp-item-xmled",init:{editorKey:"edClassic",},},
					mainView:{xmlEditor:"edClassic",},
itemExt:".publi",
					
						configItemType(itemType){

							itemType.addGenerator({genNodeType:"gen",codeGenStack:"amc",genNature:"web",label:"Support AMC LaTeX",illus:":wspRes:models/sGen_amc/amcGen.png",}, '', '');

							return itemType;
						}
,
					
}
;

				m.classification = [DIR.fN8,];
				m.sortKey = "050amcRoot";

			wspMeta.setItemType(m);

			m = 
{
wspResUrl,
model:"op_amcTest",
title:"Sujet de test AMC",
					
family:"xml",
iconsPng:":wspRes:models/op_amcTest/ico/",
sgn:"@op_amcTest#Xml#Map",
schema:":wspRes:models/op_amcTest/schema.rng",
editors:{edClassic:{mainWed:"opale",},},
					
itemNameTpl:"amcTest_",
					
					
					
					isolatedView:{tag:"wsp-item-xmled",init:{editorKey:"edClassic",},},
					mainView:{xmlEditor:"edClassic",showSsErrors:{errors:[{code:/forbidSameItemTwice/,},],},},
itemExt:".xml",
					
					
}
;

				m.classification = [DIR.fN2f,];
				m.sortKey = "010amc";

			wspMeta.setItemType(m);

			m = 
{
wspResUrl,
model:"op_amcCat",
title:"Catégorie de questions AMC",
					
family:"xml",
iconsPng:":wspRes:models/op_amcCat/ico/",
sgn:"@op_amcCat#Xml#Map",
schema:":wspRes:models/op_amcCat/schema.rng",
editors:{edClassic:{mainWed:"opale",},},
					
itemNameTpl:"amcCat_",
					
					
					
					isolatedView:{tag:"wsp-item-xmled",init:{editorKey:"edClassic",},},
					mainView:{xmlEditor:"edClassic",showSsErrors:{errors:[{code:/forbidSameItemTwice/,},],},},
itemExt:".xml",
					
					
}
;

				m.classification = [DIR.fN2f,];
				m.sortKey = "020amcCar";

			wspMeta.setItemType(m);

			m = 
{
wspResUrl,
model:"op_amcBareme",
title:"Barème AMC des QCU/QCM",
					
family:"xml",
iconsPng:":wspRes:models/op_amcBareme/ico/",
sgn:"@op_amcBareme#Xml",
schema:":wspRes:models/op_amcBareme/schema.rng",
editors:{edClassic:{mainWed:"opale",},},
					
itemNameTpl:"amcTest_",
					
					
					
					isolatedView:{tag:"wsp-item-xmled",init:{editorKey:"edClassic",},},
					mainView:{xmlEditor:"edClassic",},
itemExt:".bareme",
					
					
}
;

				m.classification = [DIR.fN2f,];
				m.sortKey = "030amcBereme";

			wspMeta.setItemType(m);

					wspMeta.setWed("opale",
{path:":wspRes:editors/w_opale/main.wed.xml",}
					);

					wspMeta.setWed("preview",
{path:":wspRes:editors/w_preview/main.wed.xml",}
					);

					wspMeta.setWed("otlfull",
{path:":wspRes:editors/w_otlfull/main.wed.xml",}
					);

let SRCDRAWER;
async function wspItemAccessNone(reg) {
	if(!SRCDRAWER) SRCDRAWER = (await wspResUrl.importJs(":back:wsp/widgets/srcDrawer.js")).SRCDRAWER;
	reg.registerSvc("wedItemInlImgTplOver", 101, null);
	reg.registerSvc("wedItemInlObjectTplOver", 101, null);
	reg.registerSvc("wedItemTxtObjectTpl", 101, SRCDRAWER.previewOrItemTitleOrCodeTpl);
	reg.registerSvc("wedItemTxtObjectTplOver", 101, null);
	reg.setPref("ItemCreator.spaceUi", 101, 'hidden');
	reg.setPref("ItemCreator.airItem", 101, 'never');
}
					wspMeta.reg.setPref("lang", 101, "fr-FR");

					wspMeta.reg.addToList("namespaces:defaultList", "sc", 101, "http:\/\/www.utc.fr\/ics\/scenari\/v3\/core");

					wspMeta.reg.addToList("namespaces:defaultList", "op", 101, "utc.fr:ics\/opale3");

					wspMeta.reg.addToList("namespaces:defaultList", "rsc", 101, "scenari.eu:remote");

					wspMeta.reg.addToList("namespaces:defaultList", "sfile", 101, "http:\/\/www.utc.fr\/ics\/scenari\/v3\/file");

					wspMeta.reg.addToList("namespaces:defaultList", "sp", 101, "http:\/\/www.utc.fr\/ics\/scenari\/v3\/primitive");

		const ROLES = await wspResUrl.importJs(":lib:commons/roles.js");
return async ()=>{
		let vItemType;
		
}
}
